Subject: Re: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

From: Tarek Saad <[email-masked]>
Date: Wed, 1 Sep 2021 14:32:40 +0000

Hi Daniele,

I do not dispute that ACTN VN can be possibly extended to allow provisioning of IETF slice service. However, today other standalone service models such as L3SM and L2SM exist independent of ACTN or VN models.
In fact, the VN draft < draft-ietf-teas-actn-vn-yang>, explicitly mentions that the VN model can co-exist with such service models (see below).
Hence IMO, extending applicability of ACTN to network slicing does/should not negate having a IETF slice service specific data model.

   The VN model defined in this document is applicable in generic sense
   as an independent model in and of itself.  The VN model defined in
   this document can also work together with other customer service
   models such as L3SM [RFC8299<https://datatracker.ietf.org/doc/html/rfc8299>], L2SM [RFC8466<https://datatracker.ietf.org/doc/html/rfc8466>] and L1CSM
   [I-D.ietf-ccamp-l1csm-yang<https://datatracker.ietf.org/doc/html/draft-ietf-teas-actn-vn-yang-12#ref-I-D.ietf-ccamp-l1csm-yang>] to provide a complete life-cycle service
   management and operations.

Regards,
Tarek

From: Teas <[email-masked]> on behalf of Daniele Ceccarelli <daniele.ceccarelli=[email-masked]>
Date: Monday, August 30, 2021 at 4:59 AM
To: Vishnu Pavan Beeram <[email-masked]>, TEAS WG <[email-masked]>
Cc: TEAS WG Chairs <[email-masked]>
Subject: Re: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10
Hi WG,

while reviewing this draft and the network slice NBI YANG I find a major discrepancy between them.
While draft-king-teas-applicability-actn-slicing-10

  draft-wd-teas-ietf-network-slice-nbi-yang-04 says that:

“ACTN is a
   toolset capable of delivering network slice functionality.  This
   document outlines the application of ACTN and associated enabling
   technologies to provide network slicing in a network that utilizes
   IETF technologies such as IP, MPLS, or GMPLS.  It describes how the
   ACTN functional components can be used to support model-driven
   partitioning of resources into variable-sized bandwidth units to
   facilitate network sharing and virtualization.”

On the other side we have a network slicing NBI model completely detached from ACTN that says:

“The difference between the ACTN VN model and the IETF Network Slice

   NBI requirements is that the IETF Network Slice NBI is a technology-

   agnostic interface, whereas the VN model is bound to the IETF TE

   Topologies.  The realization of the IETF Network Slice does not

   necessarily require the slice network to support the TE technology.”

And

“However, the Network Slice SLO and Network Slice

   Endpoint are not clearly defined and there's no direct equivalent.”

So is ACTN applicable to network slicing or not? And if yes how? I was expecting to see the NBI model based on the ACTN models with some augmentation to cover the e.g. the non TE parts, the LSO and the endpoints…but we have two completely disjoint modules.
I would say that the two drafts are saying exactly the opposite thing, am I missing something?

Thanks,
Daniele

From: Teas <[email-masked]> On Behalf Of Vishnu Pavan Beeram
Sent: den 27 augusti 2021 14:49
To: TEAS WG <[email-masked]>
Cc: TEAS WG Chairs <[email-masked]>
Subject: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

All,

This is start of a *two* week poll on making
draft-king-teas-applicability-actn-slicing-10 a TEAS working group document.
Please send email to the list indicating "yes/support" or "no/do not support".
If indicating no, please state your reservations with the document. If
yes, please also feel free to provide comments you'd like to see
addressed once the document is a WG document.

The poll ends September 10th.

Thank you,
Pavan and Lou

---

From: Daniele Ceccarelli <[email-masked]>
Date: Wed, 1 Sep 2021 15:20:14 +0000

Hi Tarek,

The coexistence of VN and LxSM/LxNM is something that no one is putting under discussion…even better…the TE service mapping model maps one against the other to bind a LxVPN against a TE infrastructure (TE tunnel or VN) and make the service inherit the capabilities of the TE infrastructure.

As of today I would build a network slice in the following way:

  *   Create a LxVPN (using LxNM model)
  *   Create a TE infra (using TE tunnel model or VN model)
  *   Bind the LxVPN to the TE infra (using the TE service mapping model)

What is missing there? The capability to support non TE infrastructure. It’s something that could have been easily added to the VN model by augmentation.

What would I need to implement as an orchestrator vendor? Completely different models to create the same thing in the network?

Moreover I find it at least misleading the adoption of a draft saying how to use ACTN to create a slice and then in another draft have a completely different model to create a slice.
At least we should be coherent and say that ACTN is not needed for network slicing and the other model must be used (statement I disagree with but it’s up to the WG to decide).

Cheers,
Daniele

From: Teas <[email-masked]> On Behalf Of Tarek Saad
Sent: den 1 september 2021 16:33
To: Daniele Ceccarelli <daniele.ceccarelli=[email-masked]>; Vishnu Pavan Beeram <[email-masked]>; TEAS WG <[email-masked]>
Cc: TEAS WG Chairs <[email-masked]>
Subject: Re: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

Hi Daniele,

Regards,
Tarek

From: Teas <[email-masked]<mailto:[email-masked]>> on behalf of Daniele Ceccarelli <daniele.ceccarelli=[email-masked]<mailto:daniele.ceccarelli=[email-masked]>>
Date: Monday, August 30, 2021 at 4:59 AM
To: Vishnu Pavan Beeram <[email-masked]<mailto:[email-masked]>>, TEAS WG <[email-masked]<mailto:[email-masked]>>
Cc: TEAS WG Chairs <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10
Hi WG,

“ACTN is a

And

Thanks,
Daniele

From: Teas <[email-masked]<mailto:[email-masked]>> On Behalf Of Vishnu Pavan Beeram
Sent: den 27 augusti 2021 14:49
To: TEAS WG <[email-masked]<mailto:[email-masked]>>
Cc: TEAS WG Chairs <[email-masked]<mailto:[email-masked]>>
Subject: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

All,

Thank you,
Pavan and Lou

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 1 Sep 2021 20:50:31 +0100

Just my two cents.

All the text you quoted says is, “You can use ACTN to achieve network slicing in networks that support ACTN.”

Cheers,

Adrian

From: Teas <[email-masked]> On Behalf Of Daniele Ceccarelli
Sent: 30 August 2021 09:59
To: Vishnu Pavan Beeram <[email-masked]>; TEAS WG <[email-masked]>
Cc: TEAS WG Chairs <[email-masked]>
Subject: Re: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

Hi WG,

 

“ACTN is a

 
And

Thanks,
Daniele  

From: Teas <[email-masked] <mailto:[email-masked]> > On Behalf Of Vishnu Pavan Beeram
Sent: den 27 augusti 2021 14:49
To: TEAS WG <[email-masked] <mailto:[email-masked]> >
Cc: TEAS WG Chairs <[email-masked] <mailto:[email-masked]> >
Subject: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

All,

Thank you,
Pavan and Lou

---

From: Dhruv Dhody <[email-masked]>
Date: Thu, 2 Sep 2021 07:14:34 +0000

Hi Daniele,

My suggestion would be for the draft-king to use the term “realization of IETF network slice” to make it clear. From what I gather they do mean realization as they use the phrase “ACTN is a toolset capable of delivering network slice functionality.”; which is consistent with my understanding.
A possible relationship between draft-wd and that of ACTN is as per figure 6.

Section 4.1 provides how the existing ACTN YANG and LxSM models are enough to provide IETF network slice service for the underlying network supporting ACTN. I agree with that. But the scope of the IETF network slices was much broader and that is why WG worked on a new framework instead of extending the ACTN framework. The same applies to the YANG model.

Anyways. the authors did explore with the WG why augmenting the VN model was problematic because of the tight coupling with TE topology. Overall this is akin to having both technology-specific model (LxSM and VN) as well as technology agnostic intent model (and letting the consumer decide what make sense for them to use when both interfaces are available).

I will do a further review of draft-king to make sure things are consistent.

Thanks!
Dhruv

From: Teas [mailto:[email-masked]] On Behalf Of Daniele Ceccarelli
Sent: 01 September 2021 20:50
To: Tarek Saad <[email-masked]>; Daniele Ceccarelli <daniele.ceccarelli=[email-masked]>; Vishnu Pavan Beeram <[email-masked]>; TEAS WG <[email-masked]>
Cc: TEAS WG Chairs <[email-masked]>
Subject: Re: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

Hi Tarek,

As of today I would build a network slice in the following way:
-          Create a LxVPN (using LxNM model)
-          Create a TE infra (using TE tunnel model or VN model)
-          Bind the LxVPN to the TE infra (using the TE service mapping model)

Cheers,
Daniele

From: Teas <[email-masked]<mailto:[email-masked]>> On Behalf Of Tarek Saad
Sent: den 1 september 2021 16:33
To: Daniele Ceccarelli <daniele.ceccarelli=[email-masked]<mailto:daniele.ceccarelli=[email-masked]>>; Vishnu Pavan Beeram <[email-masked]<mailto:[email-masked]>>; TEAS WG <[email-masked]<mailto:[email-masked]>>
Cc: TEAS WG Chairs <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

Hi Daniele,

Regards,
Tarek

“ACTN is a

And

Thanks,
Daniele

All,

Thank you,
Pavan and Lou

---

From: Daniele Ceccarelli <[email-masked]>
Date: Thu, 2 Sep 2021 08:02:40 +0000

Hi Adrian,

That’s a quibble that only solves the issue partially.
Should we use ACTN to do network slicing in networks that support ACTN and the Network Slicing NBI model in networks that’s don’t support it?
If the suggestions is to have two alternative options it should be stated somewhere.

Cheers,
Daniele

From: Adrian Farrel <[email-masked]>
Sent: den 1 september 2021 21:51
To: Daniele Ceccarelli <[email-masked]>; 'Vishnu Pavan Beeram' <[email-masked]>; 'TEAS WG' <[email-masked]>
Cc: 'TEAS WG Chairs' <[email-masked]>
Subject: RE: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

Just my two cents.

Cheers,
Adrian

From: Teas <[email-masked]<mailto:[email-masked]>> On Behalf Of Daniele Ceccarelli
Sent: 30 August 2021 09:59
To: Vishnu Pavan Beeram <[email-masked]<mailto:[email-masked]>>; TEAS WG <[email-masked]<mailto:[email-masked]>>
Cc: TEAS WG Chairs <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

Hi WG,

“ACTN is a

And

Thanks,
Daniele

All,

Thank you,
Pavan and Lou

---

From: Daniele Ceccarelli <[email-masked]>
Date: Thu, 2 Sep 2021 08:27:11 +0000

Hi Dhruv,

I really appreciate your attempt to fix wording so to have text which is semantically correct, but that still doesn’t solve the concern.

Ideally we should try to have one solution, but I understand that sometimes it’s not possible for a number of reasons (take for example the OSPF advertisement in flexi grid). If multiple options are acknowledged by the WG, then there should be a document saying something like:

  *   In case X, option A should be used
  *   In case Y, option B should be used
  *   In case Z, options A and C should be used

I still don’t see why existing models can’t meet the network slicing requirements. We already discussed how to build a network slice in a TE environment, while in a non TE environment you can just use the LxNM model and bind it to e.g. a non TE segment routing constructs. What was needed was just a minor augmentation to the TE service mapping model to support also non TE structures.

Thanks also for bringing up figure 6 of the ACTN applicability draft, I missed I during my review. I don’t think the consumer sits on top of the CNC, I believe the consumer is the CNC. In the industry the MDSC is the transport orchestrator/hierarchical SDN controller, while the CNC is whatever consumes it’s NBI, which in many cases it the E2E service orchestrator (i.e. the entity managing the slice).

Cheers,
Daniele

From: Dhruv Dhody <[email-masked]>
Sent: den 2 september 2021 09:15
To: Daniele Ceccarelli <[email-masked]>; Tarek Saad <[email-masked]>; Vishnu Pavan Beeram <[email-masked]>; TEAS WG <[email-masked]>
Cc: TEAS WG Chairs <[email-masked]>; Dhruv Dhody <[email-masked]>
Subject: RE: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

Hi Daniele,

Thanks!
Dhruv

To: Tarek Saad <[email-masked]<mailto:[email-masked]>>; Daniele Ceccarelli <daniele.ceccarelli=[email-masked]<mailto:daniele.ceccarelli=[email-masked]>>; Vishnu Pavan Beeram <[email-masked]<mailto:[email-masked]>>; TEAS WG <[email-masked]<mailto:[email-masked]>>

Hi Tarek,

Cheers,
Daniele

Hi Daniele,

Regards,
Tarek

“ACTN is a

And

Thanks,
Daniele

All,

Thank you,
Pavan and Lou

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 2 Sep 2021 10:54:16 +0100

Hi again Daniele,

> Should we use ACTN to do network slicing in networks that support

> ACTN and the Network Slicing NBI model in networks that’s don’t

> support it? 

You are comparing two things that are not the same.

The Network Slicing NBI is a YANG model for use on the customer service interface. That is, it allows the customer and provider to communicate about the network slice that is to be provided. 

ACTN is an architecture. That is, it describes how the management components may be arranged/structured to deliver function in a network.

You can use the Network Slicing NBI at an interface in the ACTN architecture.

It could be used at the CMI (in the same way that the L3SM and L2SM can be): see Section 4.1.

Or it could be used above the CNC: see Section 4.2

Best,

Adrian

---

From: Daniele Ceccarelli <[email-masked]>
Date: Thu, 2 Sep 2021 11:54:04 +0000

Hi Adrian,

Good point, you’re right...not accurate from my side.

Since ACTN, in addition to being a framework, is also suggesting which models to use, when I speak about ACTN I’m implying also the usage of those models: i.e. service network models (LxNM), TE models (TE topo, TE tunnel, VN) and the TE service mapping etc.

I’m referring to draft-ietf-teas-actn-yang-07<https://datatracker.ietf.org/doc/html/draft-ietf-teas-actn-yang-07> section 4.1 for the CMI and 4.2 for the MPI.

I don’t have anything against the usage of this model as service model, but I see competition with the existing ones as a network model.

I think Kenichi explained it extremely well in his mail:

“1) According to Figure 1 of draft-king-teas-applicability-actn-slicing-10, NSC NBI can be replaced with CMI. If the new nbi is created, we have to parallelly implement two nbis or just wrap CMI with NSC NBI. From one of mobile operators' capex perspective, we don't want to do such effort, since we believe major ietf network slice requirements can be covered by ACTN.”

BR
Daniele

Sent: den 2 september 2021 11:54

Hi again Daniele,

Best,
Adrian

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 2 Sep 2021 13:36:30 +0100

Hi, yet again,

I’d be surprised if draft-ietf-teas-actn-yang suggested the use of the NBI at the moment because the NBI is still an individual draft – we don’t even know whether the working group wants to adopt it yet. draft-ietf-teas-actn-yang  cannot hope to list all possible future customer service models. But maybe a future version will include the NBI in the list in Section 4.1 when the NBI is stable.

I don’t think that Figure 1 of draft-king-teas-applicability-actn-slicing-10 says that the NSC NBI can be replaced with the CMI. Rather, it says that the NSC NBI can be used to instantiate the CMI. That is, the CMI is an abstract interface in the architectural model, and a number of YANG models can be used to instantiate the CMI depending on the function being offered. That is, I think, exactly what Section 4.1 of draft-ietf-teas-actn-yang says.

Which model(s) an operator chooses to use at the CMI depends does not depend on whether they support ACTN or not. If they don’t support ACTN, they don’t have a CMI, end of story. But if they *do* use the ACTN architecture, they may offer one or more services to their customer. For each service they offer, they (may) use a different customer service model.

If the provider wants to use slicing based on the VN model or the L3SM then that’s OK, and they don’t need to use the NSC NBI. On the other hand, they can offer ”slicing as a service” and may choose to use the NSC NBI for this.

Cheers,

Adrian

From: Daniele Ceccarelli <[email-masked]> 
Sent: 02 September 2021 12:54
To: [email-masked]; 'Vishnu Pavan Beeram' <[email-masked]>; 'TEAS WG' <[email-masked]>
Cc: 'TEAS WG Chairs' <[email-masked]>
Subject: RE: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

Hi Adrian,

I’m referring to  <https://datatracker.ietf.org/doc/html/draft-ietf-teas-actn-yang-07> draft-ietf-teas-actn-yang-07 section 4.1 for the CMI and 4.2 for the MPI.

BR
Daniele  

 

From: Adrian Farrel <[email-masked] <mailto:[email-masked]> > 
Sent: den 2 september 2021 11:54
To: Daniele Ceccarelli <[email-masked] <mailto:[email-masked]> >; 'Vishnu Pavan Beeram' <[email-masked] <mailto:[email-masked]> >; 'TEAS WG' <[email-masked] <mailto:[email-masked]> >
Cc: 'TEAS WG Chairs' <[email-masked] <mailto:[email-masked]> >
Subject: RE: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

Hi again Daniele,

Best,

Adrian

---

From: Daniele Ceccarelli <[email-masked]>
Date: Thu, 2 Sep 2021 16:17:04 +0000

Hi Adrian,

We’re getting there.
Let’s try in line this time.
Cheers,
Daniele

From: Adrian Farrel <[email-masked]>
Sent: den 2 september 2021 14:37
To: Daniele Ceccarelli <[email-masked]>
Cc: 'TEAS WG' <[email-masked]>
Subject: RE: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

Hi, yet again,

I’d be surprised if draft-ietf-teas-actn-yang suggested the use of the NBI at the moment because the NBI is still an individual draft – we don’t even know whether the working group wants to adopt it yet. draft-ietf-teas-actn-yang  cannot hope to list all possible future customer service models. But maybe a future version will include the NBI in the list in Section 4.1 when the NBI is stable.
[DC] I said it is suggesting to use the existing models like service network models (LxNM), TE models (TE topo, TE tunnel, VN) and the TE service mapping etc, not the network slicing one.

I don’t think that Figure 1 of draft-king-teas-applicability-actn-slicing-10 says that the NSC NBI can be replaced with the CMI. Rather, it says that the NSC NBI can be used to instantiate the CMI. That is, the CMI is an abstract interface in the architectural model, and a number of YANG models can be used to instantiate the CMI depending on the function being offered. That is, I think, exactly what Section 4.1 of draft-ietf-teas-actn-yang says.
[DC] I don’t disagree with you here. In the context of ACNT the term CMI means a set of models, in the context of network slicing another (the NS NBI), in none of them it could just be a subset (e.g. L3NM). I would have preferred that the NS NBI would have augmented them instead of defining something orthogonal.

If the provider wants to use slicing based on the VN model or the L3SM then that’s OK, and they don’t need to use the NSC NBI. On the other hand, they can offer ”slicing as a service” and may choose to use the NSC NBI for this.
[DC] Agree. Can we call the draft: “A service model for IETF network slice NBI” ? And in the text say that the model is one of the options that can be used as a “network model” ?

Cheers,
Adrian

From: Daniele Ceccarelli <[email-masked]<mailto:[email-masked]>>
Sent: 02 September 2021 12:54
To: [email-masked]<mailto:[email-masked]>; 'Vishnu Pavan Beeram' <[email-masked]<mailto:[email-masked]>>; 'TEAS WG' <[email-masked]<mailto:[email-masked]>>
Cc: 'TEAS WG Chairs' <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

Hi Adrian,

BR
Daniele

From: Adrian Farrel <[email-masked]<mailto:[email-masked]>>
Sent: den 2 september 2021 11:54
To: Daniele Ceccarelli <[email-masked]<mailto:[email-masked]>>; 'Vishnu Pavan Beeram' <[email-masked]<mailto:[email-masked]>>; 'TEAS WG' <[email-masked]<mailto:[email-masked]>>
Cc: 'TEAS WG Chairs' <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

Hi again Daniele,

Best,
Adrian

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Fri, 3 Sep 2021 01:41:33 +0000

Hi Adrian, Daniele,

Thanks for discussion to my comment.

See comment [KO] inline, please.

Thanks,
Kenichi

From: Teas <[email-masked]> On Behalf Of Daniele Ceccarelli
Sent: Friday, September 3, 2021 1:17 AM
To: [email-masked]
Cc: 'TEAS WG' <[email-masked]>
Subject: Re: [Teas] WG Adoption Poll - draft-king-teas-applicability-actn-slicing-10

Hi Adrian,

We’re getting there.

Hi, yet again,

[KO] We don't mind the NBI will be included in the list in Section 4.1, but our intention is that it should be an enhanced/augmented actn-vn-yang. Same for your comments below.

Cheers,
Adrian

Hi Adrian,

BR
Daniele

Hi again Daniele,

Best,
Adrian

---

From: Xufeng Liu <[email-masked]>
Date: Mon, 6 Sep 2021 21:23:05 -0400

Inclined to agree with Kenichi. To the list of existing models that Daniele
listed, the draft
https://datatracker.ietf.org/doc/html/draft-liu-teas-transport-network-slice-yang-04
augments the topology model, keeping all existing ACTN related capabilities.

Thanks,
- Xufeng

On Thu, Sep 2, 2021 at 9:52 PM Ogaki, Kenichi <[email-masked]> wrote:

> *From:* Teas <[email-masked]> *On Behalf Of *Daniele Ceccarelli
> *Sent:* Friday, September 3, 2021 1:17 AM
> *To:* [email-masked]
> *Cc:* 'TEAS WG' <[email-masked]>
> *Subject:* Re: [Teas] WG Adoption Poll -
> draft-king-teas-applicability-actn-slicing-10
>
>
>
> Hi Adrian,
>
>
>
> We’re getting there.
>
> *From:* Adrian Farrel <[email-masked]>
> *Sent:* den 2 september 2021 14:37
> *To:* Daniele Ceccarelli <[email-masked]>
> *Cc:* 'TEAS WG' <[email-masked]>
> *Subject:* RE: [Teas] WG Adoption Poll -
> draft-king-teas-applicability-actn-slicing-10
>
>
>
> Hi, yet again,
>
>
>
> I’d be surprised if draft-ietf-teas-actn-yang suggested the use of the NBI
> at the moment because the NBI is still an individual draft – we don’t even
> know whether the working group wants to adopt it yet.
> draft-ietf-teas-actn-yang  cannot hope to list all possible future customer
> service models. But maybe a future version will include the NBI in the list
> in Section 4.1 when the NBI is stable.
>
> *[DC] I said it is suggesting to use the existing models like service
> network models (LxNM), TE models (TE topo, TE tunnel, VN) and the TE
> service mapping etc, not the network slicing one.*
>
>
>
> [KO] We don't mind the NBI will be included in the list in Section 4.1,
> but our intention is that it should be an enhanced/augmented actn-vn-yang.
> Same for your comments below.
>
>
>
>
>
> I don’t think that Figure 1 of
> draft-king-teas-applicability-actn-slicing-10 says that the NSC NBI can be
> replaced with the CMI. Rather, it says that the NSC NBI can be used to
> instantiate the CMI. That is, the CMI is an abstract interface in the
> architectural model, and a number of YANG models can be used to instantiate
> the CMI depending on the function being offered. That is, I think, exactly
> what Section 4.1 of draft-ietf-teas-actn-yang says.
>
> *[DC] I don’t disagree with you here. In the context of ACNT the term CMI
> means a set of models, in the context of network slicing another (the NS
> NBI), in none of them it could just be a subset (e.g. L3NM). I would have
> preferred that the NS NBI would have augmented them instead of defining
> something orthogonal. *
>
>
>
> Which model(s) an operator chooses to use at the CMI depends does not
> depend on whether they support ACTN or not. If they don’t support ACTN,
> they don’t have a CMI, end of story. But if they **do** use the ACTN
> architecture, they may offer one or more services to their customer. For
> each service they offer, they (may) use a different customer service model.
>
>
>
> If the provider wants to use slicing based on the VN model or the L3SM
> then that’s OK, and they don’t need to use the NSC NBI. On the other hand,
> they can offer ”slicing as a service” and may choose to use the NSC NBI for
> this.
>
> *[DC] Agree. Can we call the draft: “A service model for IETF network
> slice NBI” ? And in the text say that the model is one of the options that
> can be used as a “network model” ? *
>
>
>
> Cheers,
>
> Adrian
>
>
>
> *From:* Daniele Ceccarelli <[email-masked]>
> *Sent:* 02 September 2021 12:54
> *To:* [email-masked]; 'Vishnu Pavan Beeram' <[email-masked]>;
> 'TEAS WG' <[email-masked]>
> *Cc:* 'TEAS WG Chairs' <[email-masked]>
> *Subject:* RE: [Teas] WG Adoption Poll -
> draft-king-teas-applicability-actn-slicing-10
>
>
>
> Hi Adrian,
>
>
>
> Since ACTN, in addition to being a framework, is also suggesting which
> models to use, when I speak about ACTN I’m implying also the usage of those
> models: i.e. service network models (LxNM), TE models (TE topo, TE tunnel,
> VN) and the TE service mapping etc.
>
> I’m referring to draft-ietf-teas-actn-yang-07 <https://datatracker.ietf.org/doc/html/draft-ietf-teas-actn-yang-07> section 4.1 for the CMI and 4.2 for the MPI.
>
>
>
> “1) According to Figure 1 of
> draft-king-teas-applicability-actn-slicing-10, NSC NBI can be replaced with
> CMI. If the new nbi is created, we have to parallelly implement two nbis or
> just wrap CMI with NSC NBI. From one of mobile operators' capex
> perspective, we don't want to do such effort, since we believe major ietf
> network slice requirements can be covered by ACTN.”
>
>
>
> BR
> Daniele
>
>
>
>
>
>
>
>
>
> *From:* Adrian Farrel <[email-masked]>
> *Sent:* den 2 september 2021 11:54
> *To:* Daniele Ceccarelli <[email-masked]>; 'Vishnu Pavan
> Beeram' <[email-masked]>; 'TEAS WG' <[email-masked]>
> *Cc:* 'TEAS WG Chairs' <[email-masked]>
> *Subject:* RE: [Teas] WG Adoption Poll -
> draft-king-teas-applicability-actn-slicing-10
>
>
>
> Hi again Daniele,
>
>
>
> The Network Slicing NBI is a YANG model for use on the customer service
> interface. That is, it allows the customer and provider to communicate
> about the network slice that is to be provided.
>
> ACTN is an architecture. That is, it describes how the management
> components may be arranged/structured to deliver function in a network.
>
>
>
> _______________________________________________
> Teas mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/teas
>